View Issue Details

IDProjectCategoryView StatusLast Update
0025166LazarusLCLpublic2013-10-17 17:11
ReporterCyraxAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version1.3 (SVN) 
Summary0025166: [TValueListEditor] Exception 'EStringListError' : List index (1) out of bounds.
DescriptionThis happens when Key column have some value and user presses down button on cursor control keys.

See 'Steps To Reproduce' and 'Additional Information' for more info.

Check out attached file for test project.
Steps To Reproduce1. Write something in row at Key column.
2. Press down button of cursor control.
Additional InformationProject project1 raised exception class 'EStringListError' with message:
List index (1) out of bounds

 In file '..\objpas\classes\stringl.inc' at line 1102

---

call stack:

#0 fpc_raiseexception(0x584cc0, 0x1, 0x16f0a8) at ..\inc\except.inc:218
0000001 ERROR(0x16f0a8, 0x584cc0 'List index (%d) out of bounds', 1) at ..\objpas\classes\stringl.inc:437
0000002 GET(0x16f0a8, 1) at ..\objpas\classes\stringl.inc:1102
0000003 GETNAMEVALUE(0x16f0a8, 1, 0x0, 0x0) at ..\objpas\classes\stringl.inc:180
0000004 GETNAME(0x16f0a8, 1) at ..\objpas\classes\stringl.inc:209
0000005 GETCELLS(0x1c2cf0, 0, 2) at valedit.pas:1165
0000006 GETDEFAULTEDITOR(0x1c2cf0, 0) at valedit.pas:1194
0000007 SELECTEDITOR(0x1c2cf0) at grids.pas:7791
0000008 MOVEEXTEND(0x1c2cf0, false, 0, 2) at grids.pas:6959
0000009 MOVENEXTSELECTABLE(0x1c2cf0, true, 0, 1) at grids.pas:7054
0000010 MOVESEL(0x27cf860, true, 0, 1) at grids.pas:6641
0000011 KEYDOWN(0x1c2cf0, 40, []) at grids.pas:6724
0000012 KEYDOWN(0x1c2cf0, 40, []) at grids.pas:9626
0000013 KEYDOWN(0x1c2cf0, 40, []) at valedit.pas:1252
0000014 EDITORKEYDOWN(0x1c2cf0, 0x1c4d10, 40, []) at grids.pas:7731
0000015 KEYDOWN(0x1c4d10, 40, []) at include\wincontrol.inc:5570
0000016 KEYDOWN(0x1c4d10, 40, []) at maskedit.pp:1647
0000017 KEYDOWN(0x1c4d10, 40, []) at grids.pas:9237
0000018 KEYDOWNBEFOREINTERFACE(0x1c4d10, 40, []) at include\wincontrol.inc:5578
0000019 DOKEYDOWNBEFOREINTERFACE(0x1c4d10, {MSG = 48384, CHARCODE = 40, UNUSED = 336, KEYDATA = 22020097, RESULT = 0}, false) at include\wincontrol.inc:5709
0000020 CNKEYDOWN(0x1c4d10, {MSG = 48384, CHARCODE = 40, UNUSED = 336, KEYDATA = 22020097, RESULT = 0}) at include\wincontrol.inc:7012
0000021 DISPATCH(0x1c4d10, 0) at ..\inc\objpas.inc:602
0000022 WNDPROC(0x1c4d10, {MSG = 48384, WPARAM = 22020136, LPARAM = 22020097, RESULT = 0, WPARAMLO = 40, WPARAMHI = 336, LPARAMLO = 1, LPARAMHI = 336, RESULTLO = 0, RESULTHI = 0}) at include\control.inc:2099
0000023 WNDPROC(0x1c4d10, {MSG = 48384, WPARAM = 22020136, LPARAM = 22020097, RESULT = 0, WPARAMLO = 40, WPARAMHI = 336, LPARAMLO = 1, LPARAMHI = 336, RESULTLO = 0, RESULTHI = 0}) at include\wincontrol.inc:5327
0000024 WNDPROC(0x1c4d10, {MSG = 48384, WPARAM = 22020136, LPARAM = 22020097, RESULT = 0, WPARAMLO = 40, WPARAMHI = 336, LPARAMLO = 1, LPARAMHI = 336, RESULTLO = 0, RESULTHI = 0}) at grids.pas:9172
0000025 DELIVERMESSAGE(0x1c4d10, 0) at lclmessageglue.pas:112
0000026 WINDOWPROC(198870, 256, 40, 22020097) at win32\win32callback.inc:2480
0000027 gapfnScSendMessage at :0
0000028 ?? at :0
0000029 USER32!GetThreadDesktop at :0
0000030 WIN32INT_$$_DISPOSECOMBOEDITWINDOWINFO$TCUSTOMCOMBOBOX at :0
0000031 USER32!CharPrevW at :0
0000032 USER32!DispatchMessageW at :0
0000033 APPPROCESSMESSAGES(0x1d73f0) at win32\win32object.inc:367
0000034 HANDLEMESSAGE(0x1873e0) at include\application.inc:1268
0000035 RUNLOOP(0x1873e0) at include\application.inc:1401
0000036 APPRUN(0x1d73f0, {Proc = {procedure (POINTER)} 0x27cff48, Self = 0x1873e0}) at include\interfacebase.inc:54
0000037 RUN(0x1873e0) at include\application.inc:1389
0000038 main at project1.lpr:19

---

Target system: win32, Free Pascal trunk 2.7.1-r25633, Lazarus trunk '1.3'-r43112

fpc make options all install sourceinstall UPXPROG=echo OPT="-gw2 -godwarfsets
-gl -O- -OoNO -Xs-" COMPILER_OPTIONS="-gw2 -godwarfsets -gl -O- -OoNO -Xs-" INST
ALL_PREFIX=i:\free_pascal_and_lazarus\free_pascal_and_lazarus\fpc\trunk\build\tr
unk_x32 REVSTR=25633 IDE=1
lazarus make options make all UPXPROG=echo OPT="-gw2 -godwarfsets -gh -gl -O- -
OoNO -dHEAPTRC_WINDOW -Xs-" USESVN2REVISIONINC=0
TagsNo tags attached.
Fixed in Revisionr43177
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Cyrax

2013-10-07 23:44

reporter  

test_project.zip (2,136 bytes)

Bart Broersma

2013-10-08 18:50

developer   ~0070668

Please test and close if OK.

Cyrax

2013-10-17 17:11

reporter   ~0070862

Thanks, it works.

Issue History

Date Modified Username Field Change
2013-10-07 23:44 Cyrax New Issue
2013-10-07 23:44 Cyrax File Added: test_project.zip
2013-10-08 10:20 Bart Broersma Assigned To => Bart Broersma
2013-10-08 10:20 Bart Broersma Status new => assigned
2013-10-08 18:50 Bart Broersma Fixed in Revision => r43177
2013-10-08 18:50 Bart Broersma LazTarget => -
2013-10-08 18:50 Bart Broersma Note Added: 0070668
2013-10-08 18:50 Bart Broersma Status assigned => resolved
2013-10-08 18:50 Bart Broersma Fixed in Version => 1.3 (SVN)
2013-10-08 18:50 Bart Broersma Resolution open => fixed
2013-10-17 17:11 Cyrax Note Added: 0070862
2013-10-17 17:11 Cyrax Status resolved => closed